Программа:
DynaZip Max 5.0.0.7, возможно более ранние версии
DynaZip Max Secure 6.0.0.4, возможно более ранние
версии

Обнаруженные уязвимости позволяют
удаленному пользователю скомпрометировать
целевую систему.

1. Уязвимость существует из-за ошибки при
обработке границ данных в библиотеках
dzip32.dll / dzips32.dll во время восстановления
архивов. Удаленный пользователь может с
помощью специально сформированного ZIP
архива (содержащего файл с длиной имени
более 2048 байт) вызвать переполнение стека и
выполнить произвольный код на целевой
системе.

2. Уязвимость существует из-за ошибки при
обработке границ данных во время
добавления и обновления файлов в ZIP архивах.
Удаленный пользователь может создать
специально сформированный ZIP архив, вызвать
переполнение стека и выполнить
произвольный код на целевой системе.



Оставить мнение